/**
 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { Config } from '@jest/types';
import type { MatcherFunctionWithContext } from 'expect';
import type { IHasteFS } from 'jest-haste-map';
import { SnapshotResolver } from './SnapshotResolver';
import type { Context } from './types';
export { addSerializer, getSerializers } from './plugins';
export { EXTENSION, buildSnapshotResolver, isSnapshotPath, } from './SnapshotResolver';
export type { SnapshotResolver } from './SnapshotResolver';
export { default as SnapshotState } from './State';
export type { Context, SnapshotMatchers } from './types';
export declare const cleanup: (hasteFS: IHasteFS, update: Config.SnapshotUpdateState, snapshotResolver: SnapshotResolver, testPathIgnorePatterns?: string[] | undefined) => {
    filesRemoved: number;
    filesRemovedList: Array<string>;
};
export declare const toMatchSnapshot: MatcherFunctionWithContext<Context, [
    propertiesOrHint?: object | string,
    hint?: string
]>;
export declare const toMatchInlineSnapshot: MatcherFunctionWithContext<Context, [
    propertiesOrSnapshot?: object | string,
    inlineSnapshot?: string
]>;
export declare const toThrowErrorMatchingSnapshot: MatcherFunctionWithContext<Context, [
    hint?: string,
    fromPromise?: boolean
]>;
export declare const toThrowErrorMatchingInlineSnapshot: MatcherFunctionWithContext<Context, [
    inlineSnapshot?: string,
    fromPromise?: boolean
]>;
